@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.hero-project {
    position: relative;
    text-align: center;
    overflow: hidden;
    opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.5s;
}

.hero-project img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    margin-top: 4rem;
}

.project-content {
    max-width: 1200px;
    margin: 2rem auto;
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 2rem;
    padding: 0 2rem;
    opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.5s;
}

.project-content .text h2 {
    color: #1a2a6c;
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.project-content p {
    font-size: 1rem;
    font-weight: 300;
}

.sidebar {
    font-size: 0.95rem;
    font-weight: 300;
    text-align: right;
    opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.5s;
}

.sidebar p {
    margin-bottom: 1rem;
}

.sidebar strong {
    color: #1a2a6c;
}

.project-text {
    max-width: 800px;
    margin: 2rem auto;
    padding: 0 2rem;
    opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.5s;
}

.project-text h2 {
    font-size: 1.5rem;
    font-weight: 500;
    color: #1a2a6c;
    margin-bottom: 1rem;
}

.project-text p {
    margin-bottom: 1rem;
    font-size: 1rem;
    font-weight: 300;
}

.images-grid {
    display: grid;
    grid-gap: 1rem;
    margin: 2rem 0;
}

.images-grid.two-col {
    max-width: 1200px;
  margin: 2rem auto;
  display: grid;
  gap: 1rem;
  padding: 0 2rem;
  grid-template-columns: repeat(2, 1fr);
}

.images-grid.two-col>img {
  height: 720px;
  opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.5s;
}

.images-grid img {
    width: 100%;
    border-radius: 8px;
    display: block;
    opacity: 0;
    animation: fadeIn 2s forwards;
    animation-delay: 0.5s;
}

@media (max-width: 768px) {
    .hero-project img {
        height: 10vh;
        min-height: 200px;
    }

    .images-grid.two-col {
        grid-template-columns: 1fr;
    }
    .images-grid.two-col img {
        height: auto;
    }
}

@media (max-width: 992px) {
    .project-content {
        grid-template-columns: 1fr;
    }

    .hero-project img {
        height: 20vh;
        min-height: 200px;
    }

    .images-grid.two-col {
        grid-template-columns: 1fr;
    }
}